ForgeEssentials and WorldEdit

In WorldEdit 6.x, the devs have added native Forge compatibility to WorldEdit. As such, we will be dropping plans for full WorldEdit integration in ForgeEssentials. WorldControl will also be dropped as and when I feel that WorldEdit for Forge is mature enough.

However, a WorldEdit compatibility module will be written, but provided separately from the main FE distribution. This compatibility module will allow WE and FE to work together, and provide a more unified experience.

As for the FEClient, it will retain its ability to show your selections graphically. However, this will not work if WorldEdit Forge and the WE compatibility module is installed on the server, by which the client will inform you. In which case, I will recommend you install mumfrey’s WorldEditCUI liteloader plugin.

Sorry to have to require all these extra things to be installed. If I can gain the necessary permissions, I might consider packaging WE and WECUI as a part of FE.

Advertisements

About luacs1998

Light novel translator, Minecraft modder and community observer. Also a former lead developer of ForgeEssentials, now a member of the BurstLinkers translation team. "The last enemy that shall be destroyed is death."
This entry was posted in forgeessentials. Bookmark the permalink.

Leave a Reply

Please log in using one of these methods to post your comment:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s